"use strict";
/**
 * Types related to the ClinicalTrials.gov XML file. This is based on the ClinicalTrials.gov XML schema:
 * https://clinicaltrials.gov/ct2/html/images/info/public.xsd
 *
 * This is a *partial* set of types. It's based on the object that would be created via xml2js, assuming that the
 * given XML file is valid.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isClinicalStudy = void 0;
function isClinicalStudy(o) {
    if (typeof o !== 'object' || o === null)
        return false;
    // This doesn't check to see if the fields are right, just that they're there
    const required = ['required_header', 'id_info', 'brief_title', 'sponsors', 'source', 'overall_status', 'study_type'];
    return required.every((field) => field in o);
}
exports.isClinicalStudy = isClinicalStudy;
