/**
 * Provides a method of converting environment configuration to server
 * configuration.
 */
import { Configuration } from './server';
export declare function configFromEnv(prefix: string): Configuration;
export declare function configFromEnv(env: Record<string, string | undefined>): Configuration;
/**
 * Creates configuration based on the given environment or the process
 * environment if none is given.
 *
 * @param prefix a prefix to require for configuration keys
 * @param env the environment to load configuration from
 */
export declare function configFromEnv(prefix: string, env: Record<string, string | undefined>): Configuration;
/**
 * Creates configuration based on environment variables in process.env with no
 * prefix. (Meaning the configuration will contain every environment variable.)
 */
export declare function configFromEnv(): Configuration;
