"use strict";
/**
 * FHIR type guards for ensuring that objects match (at least to some degree) a
 * valid FHIR R4 type.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isResearchStudy = exports.isBundle = void 0;
const BUNDLE_TYPES = new Set([
    'document',
    'message',
    'transaction',
    'transaction-response',
    'batch',
    'batch-response',
    'history',
    'searchset',
    'collection'
]);
function isBundle(o) {
    if (typeof o !== 'object' || o === null)
        return false;
    const other = o;
    return other.resourceType === 'Bundle' && BUNDLE_TYPES.has(other.type) && Array.isArray(other.entry);
}
exports.isBundle = isBundle;
function isResearchStudy(o) {
    if (typeof o !== 'object' || o === null) {
        return false;
    }
    return o.resourceType === 'ResearchStudy';
}
exports.isResearchStudy = isResearchStudy;
