"use strict";
/**
 * This module contains type definitions for various FHIR types. At some point
 * these types should likely be replaced with an open source library, but as
 * we're currently only using a subset of FHIR, this covers only that subset.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isResearchStudy = exports.isBundle = exports.BUNDLE_TYPES = void 0;
exports.BUNDLE_TYPES = new Set([
    'document',
    'message',
    'transaction',
    'transaction-response',
    'batch',
    'batch-response',
    'history',
    'searchset',
    'collection'
]);
function isBundle(o) {
    if (typeof o !== 'object' || o === null)
        return false;
    const other = o;
    return other.resourceType === 'Bundle' && exports.BUNDLE_TYPES.has(other.type) && Array.isArray(other.entry);
}
exports.isBundle = isBundle;
function isResearchStudy(o) {
    if (typeof o !== 'object' || o === null) {
        return false;
    }
    return o.resourceType === 'ResearchStudy';
}
exports.isResearchStudy = isResearchStudy;
