"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MappingLogic = void 0;
const mcode = __importStar(require("./mcodeextractor"));
/**
 * A class that describes the mapping logic of the matching service.
 */
class MappingLogic {
    /**
     * Constructor.
     * @param patientBundle
     */
    constructor(patientBundle) {
        this.extractedMcode = new mcode.mCODEextractor(patientBundle);
    }
    /**
     * Extracted mCODE getters.
     */
    getExtractedPrimaryCancerConditions() {
        return this.extractedMcode.getPrimaryCancerConditions();
    }
    getExtractedSecondaryCancerConditions() {
        return this.extractedMcode.getSecondaryCancerConditions();
    }
    getExtractedTNMclinicalStageGroup() {
        return this.extractedMcode.getTNMclinicalStageGroup();
    }
    getExtractedTNMpathologicalStageGroup() {
        return this.extractedMcode.getTNMpathologicalStageGroup();
    }
    getExtractedBirthDate() {
        return this.extractedMcode.getBirthDate();
    }
    getExtractedTumorMarkers() {
        return this.extractedMcode.getTumorMarkers();
    }
    getExtractedCancerGeneticVariants() {
        return this.extractedMcode.getCancerGeneticVariants();
    }
    getExtractedCancerRelatedRadiationProcedures() {
        return this.extractedMcode.getCancerRelatedRadiationProcedures();
    }
    getExtractedCancerRelatedSurgicalProcedures() {
        return this.extractedMcode.getCancerRelatedSurgicalProcedures();
    }
    getExtractedCancerRelatedMedicationStatements() {
        return this.extractedMcode.getCancerRelatedMedicationStatements();
    }
    getExtractedEcogPerformanceStatus() {
        return this.extractedMcode.getEcogPerformanceStatus();
    }
    getExtractedKarnofskyPerformanceStatus() {
        return this.extractedMcode.getKarnofskyPerformanceStatus();
    }
}
exports.MappingLogic = MappingLogic;
